Torch7のインストールとtorch-iosのビルド、実行

参考文献

  1. Torch7 のインストール - のんびりしているエンジニアの日記
  2. clementfarabet/torch-ios · GitHub
  3. Torch | Getting started with Torch

自分のMacBook Proだと何故かインストールが失敗するので,

開発用Macminiで試してみる.

 

El Capitanだと/usr/localとかのPermissionがYosemiteから変更になって,rootlessが働いて失敗する.なので,Permissionを変更してやってから試す必要がある.

 

参考文献3の公式の通りに実行してみる...

>>Error: could not find ipython in PATH. Do you have it installed?

というエラー吐きやがった.エラー文でぐぐったら出てくるけど...ちょっと保留にして,python3系をmacに入れてみることにする.

にある通り,python2系とpython3系の切り替えできるように後々したいな.

python3系をインストールしてから,

pip install ipython

を実行すると,

>>[Errno 13] Permission denied: '/Library/Python/2.7/site-packages/decorator.py'

またエラー

sudo chown -R $USER /Library/Python/2.7/site-packages/

でERROR13は改善したが,

>>[Errno 1] Operation not permitted: '/System/Library/Frameworks/Python.framework/Versions/2.7/share'

またエラー

を見ると,El Capitanによるエラーらしい.(20151101)

 

 

 

pipのヴァージョンが古いとの指摘があったので,upgradeしとく

>>You are using pip version 7.1.0, however version 7.1.2 is available.

>>You should consider upgrading via the 'pip install --upgrade pip' command.